Get Upgrade Plan Bundles

Get Upgrade Plan Bundles

Get Bundle status of an upgrade plan

Request
URI
GET
https://vcf.broadcom.com/fleet-lcm/v1/upgrade-plans/{planId}/bundles
COPY
Path Parameters
string
planId
Required

Upgrade Plan Id

Query Parameters
integer
pageNumber
Optional
Constraints: default: 1

Page Number (1-based, defaults to 1)

integer
pageSize
Optional

Page Size. Maximum allowed is 100

string
bundleType
Optional

The bundle type

status
Optional

The status of the component bundle


Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns PageOfUpgradePlanBundles of type(s) application/json
{
    "elements": [
        {
            "components": [
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                },
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                }
            ],
            "fdsId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "fdsFqdn": "fdsFqdn"
        },
        {
            "components": [
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                },
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                }
            ],
            "fdsId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "fdsFqdn": "fdsFqdn"
        }
    ],
    "pageMetadata": {
        "pageNumber": 5,
        "totalPages": 7,
        "pageSize": 5,
        "totalElements": 2
    }
}
array of object
elements
Optional

Defines bundle information of an upgrade plan.

object
pageMetadata
Optional

Retrieves the parameters needed to help pagination on client.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


404

Not Found

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal Server Error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/fleet-lcm/v1/upgrade-plans/{planId}/bundles